Download it now!
Bug 42372 - Make all *appropriate* user-defined dictionaries with a specified language attribute available during "Spelling and Grammar" <F7>
Summary: Make all *appropriate* user-defined dictionaries with a specified language at...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.4.4 RC1
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-29 08:17 UTC by manj_k
Modified: 2011-11-06 14:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test document: 'sample_fdo#42372.odt' (14.06 KB, application/vnd.oasis.opendocument.text)
2011-10-29 08:24 UTC, manj_k
Details
Screenshot A: Spelling and Grammar, text language French (France) (21.96 KB, image/png)
2011-10-29 08:27 UTC, manj_k
Details
Screenshot B: Spelling and Grammar, text language German (Germany) (22.25 KB, image/png)
2011-10-29 08:28 UTC, manj_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description manj_k 2011-10-29 08:17:31 UTC
[Follow-up of 'Bug 36678 - Missing user-defined dictionaries with a specified language attribute via "Spelling and Grammar" <F7>']

LibO 3.4.4 RC1 on WinXP [LibreOffice 3.4.4 OOO340m1 (Build:401)]

A.
Open Writer
Tools > Options > Language Settings > Writing Aids > 
User-defined dictionaries > New...

Create custom dictionaries as follows
1. add_de [Language: German (Germany)]
2. add_fr [Language: French (France)]


B.
The bugfix for bug 36678 works fine for user-defined dictionaries with a specified language attribute in unilingual documents.
But it works only with the first checked language in a multilingual document.

1. Create a French text language paragraph with a misspelled word.
2. Create a German text language paragraph with a misspelled word.

(You may also use the attached 'sample_fdo#36678.odt')

3. Start <F7> with the French paragraph. Selecting 'Add..' will show (among others) the user-defined dictionary 'add_fr.dic' (see 'Screenshot A: Spelling and Grammar, text language French (France)')

4. Add the word to a French user dictionary, or ignore it.

5. Select 'Add...' again in the next--German--paragraph. It will show again  (among others) the user-defined dictionary 'add_fr.dic' instead of the also
available user-defined dictionary 'add_de.dic' (see 'Screenshot B: Spelling and Grammar, text language German (Germany)').

Expected: 'Add...' in the second--German language--paragraph should not show 'add_fr.dic', instead it should show 'add_de.dic'.

Bug: 
Only the *first* checked text language with a misspelled word will provide (via 'Add...') an user-defined dictionary with the appropriate language attribute. 
That will fail with a *second* text language, and an user-defined dictionary with that appropriate language attribute. Instead it will show again the first--in that case inappropriate--user-defined dictionary.
This behavior is reproducible for all languages.

'Add...' via right-click context menu (AutoSpellcheck) is not affected, and works fine.
Comment 1 manj_k 2011-10-29 08:24:29 UTC
Created attachment 52888 [details]
Test document: 'sample_fdo#42372.odt'
Comment 2 manj_k 2011-10-29 08:27:10 UTC
Created attachment 52889 [details]
Screenshot A: Spelling and Grammar, text language French (France)
Comment 3 manj_k 2011-10-29 08:28:16 UTC
Created attachment 52890 [details]
Screenshot B: Spelling and Grammar, text language German (Germany)
Comment 4 Caolán McNamara 2011-11-03 05:43:37 UTC
i.e. when we move from one language to another, the title bar knows that the language has changed, but the Add menu doesn't seem to know that
Comment 5 Caolán McNamara 2011-11-03 06:07:36 UTC
Fixed with http://cgit.freedesktop.org/libreoffice/core/commit/?id=36edda75a9035f15e361b5a99423568e9ae7826e

master only, i.e. for 3.5

When the underlying language changed, the list wasn't regenerated automatically.
Comment 6 manj_k 2011-11-06 14:26:15 UTC
Verified (on WinXP) with LibO Master 'master~2011-11-03_23.43.37...'
[LibO-dev 3.5.0 Build ID: 8d47725-82728f1-ca7e6f5-3b66bd0].

Thanks, that works fine with
- the attached 'sample fdo#42372'
- a nested test document (4 languages – de, en, fr, it).